
MOSA Backlog - Bug #1971

Rejection Field must be mandatory

10/10/2019 01:32 PM - Yazan Awad

Status: Closed Start date: 10/10/2019

Priority: High Due date:  

Assignee: Saja Nakhleh % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Zaid Shakboua Actual Result:  

Severity: Normal Environment: Development

Category: Intranet Transaction Number:  

Sub-Category:  Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:    

Description

History

#3 - 10/13/2019 02:45 PM - Yazan Awad

- Project changed from MOSA Backlog to Sprint-4

- SERVICE_ID set to 2

#4 - 10/13/2019 02:52 PM - Yazan Awad

- Related to Task #1983: Intranet Article added

#5 - 10/27/2019 12:28 PM - Yazan Awad

- Project changed from Sprint-4 to MOSA Backlog

#6 - 12/28/2020 06:43 PM - Zaid Shakboua

- Assignee changed from Zaid Shakboua to Saja Nakhleh

- Co-Workers Yazan Awad added

Fixed, rejection reason changed to be required

#7 - 12/30/2020 01:06 PM - Saja Nakhleh

- Status changed from Open to Feedback

- Co-Workers Zaid Shakboua added

- Co-Workers deleted (Yazan Awad)

the following test cases have been run:

1. test the rejection reason using different users: contributor user, approver user, admin user.

2. test the rejection reason on the notifications.

3. test the rejection reason on the workflow history log.

4. test the rejection reason when reject different types of content.

5. test the rejection reason when cancel the reject operation

..

test cases 1, 4 , 5: pass. evidence: (test the rejection reason.gif) ـ

( test cases 2 : verified as mail server issue as the notification feature still not implemented ـ
test case 3: verified as limitation as there is no data column for this in the database, it's out-of-the-box functionality and only send the reject reason ـ

as notification,  kindly find the attached evidence (rejection reason in the workflow history log.gif)

#8 - 01/27/2021 02:28 PM - Saja Nakhleh

- File rejection reason in the workflow history log.GIF added

- File test the rejection reason.GIF added

#9 - 01/28/2021 01:45 PM - Saja Nakhleh

- Status changed from Feedback to Closed

Files

test the rejection reason.GIF 48.6 KB 01/27/2021 Saja Nakhleh

rejection reason in the workflow history log.GIF 123 KB 01/27/2021 Saja Nakhleh
